#if Server || BackServer
using System;

namespace GameData {


    /// <summary>
    /// 验证类型
    /// </summary>
    public enum VerType {
        /// <summary>
        /// 修改密码
        /// </summary>
        EdtPwd = 0,

        /// <summary>
        /// 绑定
        /// </summary>
        Bind = 1,

        /// <summary>
        /// 登录
        /// </summary>
        Login = 2,

        /// <summary>
        /// 电子卷
        /// </summary>
        ExchangeCode=3
    }

    /// <summary>
    /// 枚举转字符串
    /// </summary>
    public static class VerTypeStr {
        /// <summary>
        /// VerTypeToString
        /// </summary>
        /// <param name="type"></param>
        /// <returns></returns>
        public static string ToString(VerType type) {
            switch (type) {
                case VerType.Login:
                    return "登录";
                case VerType.EdtPwd:
                    return "修改密码";
                case VerType.Bind:
                    return "绑定手机";
            }
            return string.Empty;
        }
    }
    
}
#endif
